# Create Parcel

## /parcels

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/parcels`

This endpoint allows you to create a new parcel for a shipment.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | string | Set value to `application/json`  |

#### Request Body

| Name                                           | Type   | Description                                                                                                              |
| ---------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| description                                    | string | Description of parcel.                                                                                                   |
| items<mark style="color:red;">\*</mark>        | array  | Object array of items in parcel. See **Parcel Item** object under *MISCALLANEOUS* for attributes required for each item. |
| metadata                                       | object | Additional information for a parcel.                                                                                     |
| packaging<mark style="color:red;">\*</mark>    | string | Unique id of packaging used to wrap items in parcel.                                                                     |
| proof\_of\_payments                            | array  | An array of string containing urls to documents/files                                                                    |
| rec\_docs                                      | array  | An array of string containing urls of images of parcel on a scale or with measuring tape                                 |
| weight\_unit<mark style="color:red;">\*</mark> | string | Weight unit of parcel. Only ***kg*** is allowed at this time.                                                            |

{% tabs %}
{% tab title="200 Parcel created successfully." %}

```
{
	status: true,
	message: 'Parcel created successfully',
	data: {
		description: true,
		id: 'Zt4Xh2pbbCmeVcr5YH9lsFHGqoW3i5w3',
		items: [{
			description: 'Shoes purchased from Shipmonk Store',
			name: 'Rubber Boots',
			currency: 'NGN',
			value: 25000',
			weight: 2.5
			quantity: 1
		}],
		metadata: {},		
		proof_of_payments: [],
		rec_docs: [],
		packaging: 'PA-97263925515',
		parcel_id: 'PC-25164820699',
		totalWeight: 2.51,
		weight: 2.5,
		weight_unit: 'kg',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/parcel/create-parcel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
